Announcement

Collapse
No announcement yet.

IEGD Driver

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • #16
    Originally posted by Rajkumar View Post
    I've no idea abt iegd wether it will support libva-0.31 or not

    is it possible to configure iegd to support libva-0.31 ??
    No, but our libVA supports older 0.29 and 0.30 drivers provided you simply make a symlink to make them available under /usr/lib/va/drivers instead.

    Comment


    • #17
      If I install http://www.splitted-desktop.com/~gbe...bva/pkgs/i386/
      libva-0.31 I am getting,

      [root@localhost test]# ./vainfo
      libva: libva version 0.31.0
      libva: va_getDriverName() returns 0
      libva: Trying to open /usr/lib/xorg/modules/drivers/iegd_drv_video.so
      libva error: /usr/lib/xorg/modules/drivers/iegd_drv_video.so has no function __vaDriverInit_0_31
      libva: va_openDriver() returns -1
      vaInitialize failed with error code -1 (unknown libva error),exit

      ================================================== ==============

      What I abserved is that in iegd_drv_video.so i've only __vaDriverInit_0_28 & __vaDriverInit_0_29.

      How can I build my iegd_drv_video.so to support __vaDriverInit_0_31. Any idea...??

      Comment


      • #18
        Try to download manually iedg_drv* from http://edc.intel.com/Software/Downloads/IEGD/
        and place them instead your iegd drivers.

        Comment


        • #19
          Originally posted by Rajkumar View Post
          If I install http://www.splitted-desktop.com/~gbe...bva/pkgs/i386/
          libva-0.31 I am getting,

          [root@localhost test]# ./vainfo
          libva: libva version 0.31.0
          libva: va_getDriverName() returns 0
          libva: Trying to open /usr/lib/xorg/modules/drivers/iegd_drv_video.so
          libva error: /usr/lib/xorg/modules/drivers/iegd_drv_video.so has no function __vaDriverInit_0_31
          libva: va_openDriver() returns -1
          vaInitialize failed with error code -1 (unknown libva error),exit

          ================================================== ==============

          What I abserved is that in iegd_drv_video.so i've only __vaDriverInit_0_28 & __vaDriverInit_0_29.

          How can I build my iegd_drv_video.so to support __vaDriverInit_0_31. Any idea...??
          No, you have not installed the SDS libVA packages correctly. Just install them or rebuild them as described and remove the older libVA 0.31 you had. Because, you obviously are not using the libVA version from: http://www.splitted-desktop.com/~gbeauchesne/libva/

          Comment


          • #20
            Originally posted by gbeauche View Post
            No, but our libVA supports older 0.29 and 0.30 drivers provided you simply make a symlink to make them available under /usr/lib/va/drivers instead.

            yeah i did symlinks.

            **mplayer is crashing now.

            [root@localhost mplayer-vaapi]# ./mplayer -vo vaapi -va vaapi /home/Videos/FlightSimX_720p60_51_15Mbps.wmv
            MPlayer SVN-r30226-4.3 (C) 2000-2009 MPlayer Team

            Playing /home/Videos/FlightSimX_720p60_51_15Mbps.wmv.
            ASF file format detected.
            [asfheader] Audio stream found, -aid 1
            [asfheader] Video stream found, -vid 2
            VIDEO: [WVC1] 1280x720 24bpp 1000.000 fps 15000.0 kbps (1831.1 kbyte/s)
            libva: libva version 0.31.0
            libva: va_getDriverName() returns 0
            libva: Trying to open /usr/lib/xorg/modules/drivers/iegd_drv_video.so
            Intel(r) Embedded Graphics Driver 10.3 Build 1495


            MPlayer interrupted by signal 11 in module: preinit_libvo
            - MPlayer crashed by bad usage of CPU/FPU/RAM.
            Recompile MPlayer with --enable-debug and make a 'gdb' backtrace and
            disassembly. Details in DOCS/HTML/en/bugreports_what.html#bugreports_crash.
            - MPlayer crashed. This shouldn't happen.
            It can be a bug in the MPlayer code _or_ in your drivers _or_ in your
            gcc version. If you think it's MPlayer's fault, please read
            DOCS/HTML/en/bugreports.html and follow the instructions there. We can't and
            won't help unless you provide this information when reporting a possible bug.

            Comment


            • #21
              Originally posted by Rajkumar View Post
              Playing /home/Videos/FlightSimX_720p60_51_15Mbps.wmv.
              ASF file format detected.
              [asfheader] Audio stream found, -aid 1
              [asfheader] Video stream found, -vid 2
              VIDEO: [WVC1] 1280x720 24bpp 1000.000 fps 15000.0 kbps (1831.1 kbyte/s)
              libva: libva version 0.31.0
              libva: va_getDriverName() returns 0
              libva: Trying to open /usr/lib/xorg/modules/drivers/iegd_drv_video.so
              Intel(r) Embedded Graphics Driver 10.3 Build 1495
              You still haven't installed libVA correctly and you are not using the right libVA. You should see:
              libva: libva version 0.31.0-sds4
              libva: va_getDriverName() returns 0
              libva: Trying to open /usr/lib/va/drivers/iegd_drv_video.so
              ...

              Comment


              • #22
                Originally posted by gbeauche View Post
                You still haven't installed libVA correctly and you are not using the right libVA. You should see:
                libva: libva version 0.31.0-sds4
                libva: va_getDriverName() returns 0
                libva: Trying to open /usr/lib/va/drivers/iegd_drv_video.so
                ...
                Hi,
                I have downloaded libva-0.31.0-1+sds4.tar.gz,
                however initially I had few issues with the compilation as the libva_display.pc file was not present,
                then I did a work around to have libva_display.pc (which is nothing but libva.pc).
                After the compilation completed, when I checked the vainfo, I got the following

                libva: libva version 0.31.0
                libva: vagetDriverName()...
                [snip]

                I didn't find the version which you have mentioned in your previous post.

                Thanks & Regards,
                Raj.

                Comment


                • #23
                  Originally posted by Rajkumar View Post
                  I didn't find the version which you have mentioned in your previous post.
                  This is the version of the API (0.31.0-sds4), which is provided by the implementation from libva_0.31.0-1+sds9.tar.gz sources and patches. Read carefully the following page, the exact and enough build instructions are provided there: http://www.splitted-desktop.com/~gbeauchesne/libva/

                  I don't see how it could be clearer, or tell what you think is needed to clarify the build instructions.

                  Comment

                  Working...
                  X